services:
  keeper:
    image: quay.io/oauth2-proxy/oauth2-proxy
    environment:
      - OAUTH2_PROXY_PROVIDER=oidc
      - OAUTH2_PROXY_HTTP_ADDRESS=http://0.0.0.0:9988
      - OAUTH2_PROXY_REDIRECT_URL=https://blog.maksim-pankov.ru/oauth2/callback
      - OAUTH2_PROXY_REVERSE_PROXY=true
      - OAUTH2_PROXY_SKIP_PROVIDER_BUTTON=true
      - OAUTH2_PROXY_UPSTREAMS=http://localhost:7788/
      # - OAUTH2_PROXY_UPSTREAMS=file:///opt/blog_content/#/
      - OAUTH2_PROXY_UPSTREAMS=static://200
      - OAUTH2_PROXY_CLIENT_ID=jigran_blog
      - OAUTH2_PROXY_CLIENT_SECRET=c72ba7c0d489e020e0b5875729186ac4fb6872d7
      - OAUTH2_PROXY_OIDC_ISSUER_URL=https://auth.maksim-pankov.ru
      - OAUTH2_PROXY_COOKIE_SECRET=N9PrzHtfF4ZEbdvy24CvRAL7MbMA57Q3
      - OAUTH2_PROXY_EMAIL_DOMAINS=*
      - OAUTH2_PROXY_WHITELIST_DOMAINS=*.maksim-pankov.ru
    ports:
      - 9988:9988